Gecode::BoolTraceDelta Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for integer and Boolean variables

Trace delta information for Boolean variables. More...

`#include <int.hh>`

## Protected Attributes

int | delta
| Delta information.

## Constructors and initialization

| BoolTraceDelta (Int::BoolTraceView o, Int::BoolView n, const Delta &d)
| Initialize with old trace view o, new view n, and delta d.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a range or done.
void | operator++ (void)
| Move iterator to next range (if possible).

## Range access

int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Detailed Description

Trace delta information for Boolean variables.

Definition at line 5548 of file int.hh.

## Constructor & Destructor Documentation

## BoolTraceDelta()

Gecode::BoolTraceDelta::BoolTraceDelta | ( | Int::BoolTraceView | o,
|  | Int::BoolView | n,
|  | const Delta & | d )

inline

Initialize with old trace view o, new view n, and delta d.

Definition at line 37 of file bool-delta.hpp.

## Member Function Documentation

## operator()()

bool Gecode::BoolTraceDelta::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a range or done.

Definition at line 41 of file bool-delta.hpp.

## operator++()

void Gecode::BoolTraceDelta::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 45 of file bool-delta.hpp.

## min()

int Gecode::BoolTraceDelta::min | ( | void |  | ) | const

inline

Return smallest value of range.

Definition at line 49 of file bool-delta.hpp.

## max()

int Gecode::BoolTraceDelta::max | ( | void |  | ) | const

inline

Return largest value of range.

Definition at line 53 of file bool-delta.hpp.

## width()

unsigned int Gecode::BoolTraceDelta::width | ( | void |  | ) | const

inline

Return width of range (distance between minimum and maximum).

Definition at line 57 of file bool-delta.hpp.

## Member Data Documentation

## delta

int Gecode::BoolTraceDelta::delta

protected

Delta information.

Definition at line 5551 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/trace/bool-delta.hpp